{% extends 'base.html.twig' %}

{% form_theme main_form _self %}

{% block _apple_school_locations_entry_widget %}
    <tr class="ipRow">
        <td>{{ form_widget(form.name) }}</td>
        <td>
            <button type="button" class="deleteBt btn btn-danger" onclick="deleteIpRow(this)">Elimina</button>
        </td>
    </tr>

    {% if not form.name.vars.valid %}
    <tr>
        <td colspan="3">{{ form_errors(form.name) }}</td>
    </tr>
    {% endif %}

{% endblock %}

{% block body -%}
    <h1>{{isEditing ? 'Modifica' : 'Creazione'}} dati Apple School</h1>

    {{ form_start(main_form) }}
    {{ form_errors(main_form, { 'global_errors': true }) }}

    {{ form_row(main_form.organizationName) }}
    {{ form_row(main_form.organizationId) }}
    {{ form_row(main_form.sftpUsername) }}
    {{ form_row(main_form.sftpPassword) }}
    {{ form_row(main_form.courseType) }}

    {{ form_label(main_form.locations) }}
    <table id="locationsList" data-prototype="{{ form_widget(main_form.locations.vars.prototype)|e }}">
        {% for location in main_form.locations %}
            {{ form_widget(location) }}
        {% endfor %}
    </table>
    {% do main_form.locations.setRendered %}

    <div id="locationAddCont" class="mt-1 mb-3">
        <button type="button" class="btn btn-secondary" id="locationAddBtn">Aggiungi</button>
    </div>

    {{ form_row(main_form.active) }}

    {{ form_rest(main_form) }}

    <div class="row sendBtnArea">
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
            <button type="submit" class="btn btn-success">Salva</button>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
            <a href="{{ path('config_edit') }}#appleSchool" class="btn btn-info">
                Ritorna alla lista
            </a>
        </div>
        {% if entity.id %}
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
            <a href="{{ path('config_apple_school_delete', { 'id': entity.id }) }}" class="btn btn-danger" onclick="return confirm('Sei sicuro di voler eliminare questo elemento?');">Rimuovi</a>
        </div>
        {% endif %}
    </div>


    {{ form_end(main_form) }}

{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">
        function deleteIpRow(el) {
            var $ipRow = $(el).parent().parent();
            $ipRow.remove();
        }

        $(document).ready(function() {
            var $locationsList = $("#locationsList");
            var $locationAddBtn = $('#locationAddBtn');

            $locationsList.data('counter', $locationsList.find(".ipRow").length);

            $locationAddBtn.click(function () {
                var counter = $locationsList.data('counter');
                var $newRow = $($locationsList.data('prototype').replace(/__name__/g, counter));
                $locationsList.append($newRow);
                $locationsList.data('counter', counter + 1);


            });
        });
    </script>


{% endblock %}
